%if 0%{?rhel}
%define local_dist_name centos
%else
%define local_dist_name fedora
%endif

Name:		qubes-vm-meta-packages
Version:	4.2.7
Release:	1%{?dist}
Summary:	Meta packages for Qubes-specific components
BuildArch:  noarch

Group:		System Environment/Base
License:	GPLv2+
URL:		https://www.qubes-os.org/

BuildRequires: make

Source0: %{name}-%{version}.tar.gz

%package -n qubes-vm-dependencies
Summary:    Meta package with packages required in Qubes VM
Requires:   qubes-core-agent
Requires:   qubes-core-agent-systemd
Requires:   qubes-gui-agent
Requires:   xen-runtime
Obsoletes:  xen-qubes-vm < 2001:4.9

%description -n qubes-vm-dependencies
This package depends on packages required to be installed in Qubes VM.

%package -n qubes-vm-recommended
Summary:    Meta package with packages recommended in Qubes VM
Requires:   xfce4-notifyd
Requires:   pulseaudio-daemon
Requires:   (pipewire-qubes if pipewire-pulseaudio)
Requires:   (pulseaudio-qubes if pulseaudio)
Requires:   qubes-core-agent-dom0-updates
Requires:   (qubes-core-agent-nautilus if nautilus)
Requires:   (qubes-core-agent-thunar if Thunar)
Requires:   (qubes-core-agent-network-manager if NetworkManager)
Requires:   qubes-core-agent-networking
Requires:   qubes-core-agent-passwordless-root
Requires:   qubes-gpg-split
Requires:   qubes-img-converter
Requires:   qubes-input-proxy-sender
Requires:   qubes-mgmt-salt-vm-connector
Requires:   qubes-usb-proxy
Requires:   fwupd-qubes-vm
# qubes-pdf-converter needs python3.7+ currently
# not fully available
%if ! (0%{?rhel} && 0%{?rhel} <= 8)
Requires:   qubes-pdf-converter
%endif

%description -n qubes-vm-recommended
Installing this package is recommended to have full functionality available in
Qubes VM.

%description
Meta packages for easy maintenance of installed Qubes OS specific packages.

%package -n qubes-repo-contrib
Summary: Repository definition for packages contributed to Qubes OS

%description -n qubes-repo-contrib
Contrib repository contains packages written/adopted specifically for Qubes,
not available in upstream repositories.

%package -n qubes-vm-guivm
Summary: Meta package with packages required in a GuiVM
Requires: xorg-x11-server-Xorg
Requires: xorg-x11-server-Xephyr
Requires: setxkbmap
Requires: qubes-gui-daemon
Requires: qubes-core-admin-client
Requires: qubes-artwork
Requires: qubes-menus
Requires: qubes-input-proxy-receiver
Requires: qubes-gui-vnc

%description -n qubes-vm-guivm
This package depends on packages required to be installed in a GuiVM.

%prep
%setup -q

%build

%install
# comps
install -d -m 755 $RPM_BUILD_ROOT/usr/share/qubes
install -m 644 comps/comps-vm.xml $RPM_BUILD_ROOT/usr/share/qubes/qubes-comps.xml

# contrib repo
make -C repos install-vm-%{local_dist_name} DESTDIR=$RPM_BUILD_ROOT

%files
/usr/share/qubes/qubes-comps.xml

%files -n qubes-repo-contrib
%config(noreplace) /etc/yum.repos.d/qubes-contrib-vm-r4.2.repo
/etc/pki/rpm-gpg/RPM-GPG-KEY-qubes-4.2-contrib-%{local_dist_name}
/etc/pki/rpm-gpg/RPM-GPG-KEY-qubes-4-contrib-%{local_dist_name}

%files -n qubes-vm-dependencies

%files -n qubes-vm-recommended

%files -n qubes-vm-guivm

%changelog
* Mon May 29 2023 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-meta-packages

* Mon May 29 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0b72d44
- version 4.2.7

* Tue May 23 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2b51ce3
- ci: drop R4.1

* Tue May 23 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 47bd149
- dom0: install fwupd-qubes-dom0 by default

* Tue May 23 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a2926ae
- Install fwupd-qubes-vm by default

* Tue May 16 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3306562
- version 4.2.6

* Tue May 16 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 09c6775
- deb: Fix clearing source commands

* Tue May 16 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - cfc8f3c
- version 4.2.5

* Mon May 15 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 88966a5
- qubes-vm-recommended: Require a PulseAudio daemon

* Mon May 15 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 747fee2
- Ensure that PulseAudio server always has Qubes support

* Mon May 15 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - b28206d
- Step back for jammy on pipewire

* Mon May 08 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 92fe1a7
- version 4.2.4

* Sun May 07 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - bcfd41b
- Switch to pipewire from bookworm and jammy

* Wed May 03 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - fccfb1f
- jammy: use pipewire

* Wed May 03 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 086b01e
- version 4.2.3

* Wed May 03 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e5df232
- archlinux: update trusted/revoked fingerprints

* Tue May 02 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 3b75e82
- Update repos to 4.2

* Tue May 02 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 4758978
- Update ArchLinux repository key

* Tue May 02 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - d1985ef
- salt is not available for jammy

* Tue Apr 25 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 47089b5
- archlinux: support for new packaging in legacy builder

* Sun Apr 02 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 538e16c
- Rework Archlinux packaging

* Tue Feb 21 2023 Delemax Sandria <19891105+51lieal@users.noreply.github.com> - a386176
- Update comps-dom0.xml

* Thu Feb 16 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 272646e
- version 4.2.2

* Thu Feb 16 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e9a3153
- Keep installing DejaVu fonts too

* Thu Feb 16 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9ce3837
- Fix copy&paste error

* Thu Feb 16 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ce67cdc
- version 4.2.1

* Thu Feb 16 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 700bca5
- Update comps for fc37 dom0

* Wed Feb 08 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a062ddb
- version 4.2.0

* Wed Feb 08 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 37ab3ad
- rpm: install qubes-core-agent-thunar if Thunar is installed

* Tue Feb 07 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d06e436
- Exclude qubes-mgmt-salt-vm-connector on bookworm via builderv2 too

* Tue Feb 07 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1447489
- Install new menu by default

* Tue Feb 07 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4725dea
- Prevent installing tracker and its deps

* Sat Jan 28 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9fc7264
- Include Fedora 37 template on installation image

* Mon Oct 24 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - da13497
- rpm: Use conditional dependencies

* Wed Aug 31 2022 unman <unman@thirdeyesecurity.org> - 5a0d9e5
- Remove Debian dependencies that will not work in bookworm

* Fri Jun 10 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a22d9c4
- Update fedora template to 36

* Wed May 04 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e266019
- version 4.1.21

* Fri Apr 22 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - cad58cf
- contrib-dom0: ensure to import key after install

* Fri Apr 22 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 92ce762
- Include Fedora 35 template

* Mon Apr 18 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 278dec5
- Add Qubes Builder v2 integration

* Fri Apr 15 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - b8d7144
- Drop Travis CI

* Fri Dec 24 2021 51lieal <51lieal@ileg.al> - 4394e60
- fix codename

* Tue Nov 09 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6f77553
- version 4.1.20

* Mon Oct 25 2021 Nick Davis <nick.davis@polyswarm.io> - fef4bf0
- add SOURCE_COPY_IN when distro is ubuntu

* Thu Oct 21 2021 Nick Davis <nick.davis@polyswarm.io> - f08ccf2
- add a proper make target.

* Thu Oct 21 2021 Nick Davis <nick.davis@polyswarm.io> - fba41f0
- fix the makefile syntax. Add the full path to the debian directory.

* Thu Oct 21 2021 Nick Davis <nick.davis@polyswarm.io> - 3252099
- restore the deps in the debian/control file. instead use sed to remove those entries only when building focal.

* Thu Oct 21 2021 Nick Davis <nick.davis@polyswarm.io> - 98b3f7c
- removed qubes-core-agent-dom0-updates and qubes-mgmt-salt-vm-connector from debian build deps.

* Sun Oct 17 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 3c57cb5
- spec: add BR make

* Sun Oct 10 2021 Ivan Kardykov <49684805+jevank@users.noreply.github.com> - bbc661e
- Add SOF firmware suport

* Sat Oct 02 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 28717b7
- version 4.1.19

